<svg viewBox="0 0 10 12">

  <path [class.show]="displayFull || score > 0" d="M1,11 h8" />

  <path [class.show]="displayFull || score > 1" d="M9,11 v-10" />

  <path [class.show]="displayFull || score > 2" d="M9,1 h-4" />

  <path [class.show]="displayFull || score > 3" d="M5,1 v2" />

  <circle [class.show]="displayFull || score > 4" cx="5" cy="4" r="1" />

  <path [class.show]="displayFull || score > 5" d="M5,5 v3" />

  <path [class.show]="displayFull || score > 6" d="M5,5 l-2,2" />

  <path [class.show]="displayFull || score > 7" d="M5,5 l2,2" />

  <path [class.show]="displayFull || score > 8" d="M5,8 l-2,2" />

  <path [class.show]="displayFull || score > 9" d="M5,8 l2,2" />

</svg>
